Bug 304781 - Please use opengl-games-utils DRI checking wrapper
Summary: Please use opengl-games-utils DRI checking wrapper
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bzflag   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 318021
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-25 11:59 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 15:36:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2007-09-25 11:59:31 UTC
In preperation for the Games Live DVD, I've created a small bash script which
resides in opengl-games-utils, which is meant to be used as a wrapper around
OpenGL games. If DRI is available this wrapper does nothing, if it isn't it will
show an error dialog, explaining about Free Software and 3D drivers and then exit.

The idea here is that an error dialog is better then trying to click the quit
menu option while the mouse is jumping from the right edge of the screen to the
left edge (mouse navigation is anything but easy at 3 fps).

This is esp. important for the Games Live DVD, as there people will not have
those other <beep> drivers available.

Adding the wrapper is _really_ easy:

1) Add: "Requires: opengl-games-utils"
2) Add to %install:
"ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper"
3) Add "%{_bindir}/%{name}-wrapper" to %files
4) Change the .desktop file Exec entry from "%{name}" to "%{name}-wrapper"

This all assumes your main binary name == %{name}, otherwise adapt as necessary.

If you already have a wrapper script for one reason or the other, you can
incorperate the checkDriOk function directly into your wrapper, no need todo a
wrapper wrapper, see vegastrike's vegastrike-wrapper.sh CVS file as example.

Comment 1 Nils Philippsen 2007-10-16 15:36:25 UTC
Should be fixed in bzflag-2.0.8-7.fc8 which is building right now.

BTW: Please fix the typo in the wrapper ("Therefor" -> "Therefore"). And it
would also be good to have it translated.


Note You need to log in before you can comment on or make changes to this bug.